Subject: Re: [PATCH 1/8] bash: Remove short option completions for branch/checkout/diff.

From: Jakub Narebski <[email-masked]>
Date: Mon, 5 Feb 2007 10:16:16 +0100

Shawn O. Pearce wrote:

> Completing single character options is rather useless in my mind.
> The bash completion is always out of date with respect to the
> actual set of supported options, and by definition they are a
> single character.  Hitting '-<tab><tab>' to identify the list of
> supported options gives *no* detail about what the options do,
> and I still have to enter the option letter to complete it.
> 
> Completing `git am --w<tab>hitespace=s<tab>trip ` with just 6
> keystrokes on the other hand is very informative (whitespace,
> strip!) and saves many keystrokes.  That's why long options are
> supported, for at least the more commonly accessed ones.

It would be nice to have long option for each git command single 
character (short) option, for example --patch as long option to 
git-diff-tree -p option, etc.

-- 
Jakub Narebski
Poland